Summary:	C++ Template Image Processing Library
Summary(pl.UTF-8):	Biblioteka szablonów C++ do przetwarzania obrazu
Name:		CImg
Version:	1.7.9
Release:	1
License:	CeCILL Free Software License
Group:		Development/Libraries
Source0:	http://cimg.eu/files/%{name}_%{version}.zip
# Source0-md5:	81c26cfd69624270ddf63b09e93e6783
URL:		http://cimg.eu/
BuildRequires:	unzip
Conflicts:	gcc-c++ < 4.0
Requires:	libstdc++-devel
Requires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The CImg Library is an open-source C++ toolkit for image processing.
It consists in a single header file 'CImg.h' providing a set of C++
classes and functions that can be used in your own sources, to
load/save, process and display images. Very portable (Unix/X11,
Windows, MacOS X, FreeBSD, ...), efficient, easy to use, it's a
pleasant toolkit for coding image processing stuffs in C++.

%description -l pl.UTF-8
Biblioteka CImg to toolkit C++ o otwartych źródłach służący do
przetwarzania obrazu. Składa się z pojedynczego pliku nagłówkowego
CImg.h udostępniającego zbiór klas i funkcji C++, które można
wykorzystać we własnych źródłach do wczytywania, zapisywania,
przetwarzania i wyświetlania obrazów. Jest przenośny (Unix/X11,
Windows, MacOS X, FreeBSD...), wydajny, łatwy w użyciu i przyjemny do
kodowania przetwarzania obrazu w C++.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir}/%{name}/plugins,%{_examplesdir}/%{name}-%{version}/img}

install CImg.h $RPM_BUILD_ROOT%{_includedir}/%{name}
install plugins/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/plugins
install examples/{*.cpp,*.m,Makefile} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/img/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/img

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Licence* README*.txt
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/plugins
%{_includedir}/%{name}/CImg.h
%{_includedir}/%{name}/plugins/*.h
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Feb 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/CImg.git;a=log;h=master

* Sun Feb 26 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5e2383b
- Update to 1.7.9

* Sun Nov 08 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 003e941
- Update to 1.6.7

* Mon Feb 19 2007 Jan Rękorajski <baggins@pld-linux.org> 57ac187
- up to 1.1.8
- C: gcc-c++ < 4.0 due to cimg not compiling with gcc 3.3 (g++ issue)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dc91e00
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 91deddf
- converted to UTF-8

* Thu Jan 25 2007 Jan Rękorajski <baggins@pld-linux.org> b743241
- updated to 1.1.7

* Tue Jan 16 2007 Jan Rękorajski <baggins@pld-linux.org> 455debd
- proper path

* Tue Jan 16 2007 Jan Rękorajski <baggins@pld-linux.org> 5805641
- added example bitmaps to examples

* Wed Oct 25 2006 Jan Rękorajski <baggins@pld-linux.org> 94ad015
- up to 1.1.6
- updated files

* Fri Jun 23 2006 Jakub Bogusz <qboosh@pld-linux.org> e98355e
- new

